com.sun.mirror.declaration

## Interface PackageDeclaration

All Superinterfaces:
  Declaration

    public interface PackageDeclaration
    extends Declaration

Represents the declaration of a package. Provides access to information about the package and its members.

`DeclarationFilter` provides a simple way to select just the items of interest when a method returns a collection of declarations.

Since:
  1.5

### Method Summary

Methods
`Collection<AnnotationTypeDeclaration>` `getAnnotationTypes()` Returns the declarations of the top-level annotation types in this package.
`Collection<ClassDeclaration>` `getClasses()` Returns the declarations of the top-level classes in this package.
`Collection<EnumDeclaration>` `getEnums()` Returns the declarations of the top-level enum types in this package.
`Collection<InterfaceDeclaration>` `getInterfaces()` Returns the declarations of the top-level interfaces in this package.
`String` `getQualifiedName()` Returns the fully qualified name of this package.

### Methods inherited from interface com.sun.mirror.declaration.Declaration

`accept, equals, getAnnotation, getAnnotationMirrors, getDocComment, getModifiers, getPosition, getSimpleName`

### Method Detail

#### getQualifiedName

    String getQualifiedName()

Returns the fully qualified name of this package. This is also known as the package's canonical name.

Returns:
  the fully qualified name of this package, or the empty string if this is the unnamed package

#### getClasses

    Collection<ClassDeclaration> getClasses()

Returns the declarations of the top-level classes in this package. Interfaces are not included, but enum types are.

Returns:
  the declarations of the top-level classes in this package
See Also:
  `DeclarationFilter`

#### getEnums

    Collection<EnumDeclaration> getEnums()

Returns the declarations of the top-level enum types in this package.

Returns:
  the declarations of the top-level enum types in this package
See Also:
  `DeclarationFilter`

#### getInterfaces

    Collection<InterfaceDeclaration> getInterfaces()

Returns the declarations of the top-level interfaces in this package. Annotation types are included.

Returns:
  the declarations of the top-level interfaces in this package
See Also:
  `DeclarationFilter`

#### getAnnotationTypes

    Collection<AnnotationTypeDeclaration> getAnnotationTypes()

Returns the declarations of the top-level annotation types in this package.

Returns:
  the declarations of the top-level annotation types in this package
See Also:
  `DeclarationFilter`

Copyright © 2004, 2014, Oracle and/or its affiliates. All rights reserved.